Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class RMSBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.RMSequenceBean
              org.apache.sandesha2.storage.beans.RMSBean

All Implemented Interfaces:
  java.io.Serializable

    public class RMSBean

extends RMSequenceBean

This bean is used at the sending side (of both server and client) There is on object of this for each sequence.

See Also:
  Serialized Form

Field Summary
`static int` | `ACKED_MESSAGES_FLAG`
`static int` | `EXPECTED_REPLIES`
`static int` | `HIGHEST_OUT_MSG_FLAG`
`static int` | `LAST_OUT_MSG_FLAG`
`static int` | `LAST_SEND_ERROR_TIME_FLAG`
`static int` | `NEXT_MSG_NUM_FLAG`
`static int` | `REALLOCATED`
`static int` | `SEQ_CLOSED_CLIENT_FLAG`
`static int` | `SOAP_VERSION_FLAG`
`static int` | `TERM_PAUSER_FOR_CS`
`static int` | `TERMINATE_ADDED_FLAG`
`static int` | `TIMED_OUT_FLAG`

Fields inherited from class org.apache.sandesha2.storage.beans.RMSequenceBean
`CLOSED_FLAG, LAST_ACTIVATED_TIME_FLAG, POLLING_MODE_FLAG, TERMINATED_FLAG`

Constructor Summary
`RMSBean()`
`RMSBean(RMSBean beanToCopy)` Constructor that copies all RMSBean values from the RMSBean supplied

Method Summary
`java.lang.String` | `getAnonymousUUID()`
`RangeString` | `getClientCompletedMessages()`
`java.lang.String` | `getCreateSeqMsgID()`
`java.lang.String` | `getCreateSequenceMsgStoreKey()`
`long` | `getExpectedReplies()`
`long` | `getHighestOutMessageNumber()`
`java.lang.String` | `getHighestOutRelatesTo()`
`java.lang.String` | `getInternalSeqIDOfSeqUsedForReallocation()`
`java.lang.String` | `getInternalSequenceID()`
`long` | `getLastOutMessage()`
`java.lang.Exception` | `getLastSendError()`
`long` | `getLastSendErrorTimestamp()`
`long` | `getNextMessageNumber()`
`long` | `getNumberOfMessagesAcked()`
`java.lang.String` | `getOfferedEndPoint()`
`org.apache.axis2.addressing.EndpointReference` | `getOfferedEndPointEPR()`
`java.lang.String` | `getOfferedSequence()`
`java.lang.String` | `getReferenceMessageStoreKey()`
`int` | `getRmsFlags()`
`int` | `getSoapVersion()`
`java.lang.String` | `getTransportTo()`
`boolean` | `isAvoidAutoTermination()`
`int` | `isReallocated()`
`boolean` | `isSequenceClosedClient()`
`boolean` | `isTerminateAdded()`
`boolean` | `isTerminationPauserForCS()`
`boolean` | `isTimedOut()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setAnonymousUUID(java.lang.String anonymousUUID)`
`void` | `setAvoidAutoTermination(boolean avoidAutoTermination)`
`void` | `setClientCompletedMessages(RangeString clientCompletedMessages)`
`void` | `setCreateSeqMsgID(java.lang.String createSeqMsgID)`
`void` | `setCreateSequenceMsgStoreKey(java.lang.String createSequenceMsgStoreKey)`
`void` | `setExpectedReplies(long expectedReplies)`
`void` | `setHighestOutMessageNumber(long highestOutMessageNumber)`
`void` | `setHighestOutRelatesTo(java.lang.String highestOutRelatesTo)`
`void` | `setInternalSeqIDOfSeqUsedForReallocation(java.lang.String internalSeqIDOfSeqUsedForReallocation)`
`void` | `setInternalSequenceID(java.lang.String internalSequenceID)`
`void` | `setLastOutMessage(long lastOutMessage)`
`void` | `setLastSendError(java.lang.Exception lastSendError)`
`void` | `setLastSendErrorTimestamp(long lastSendErrorTimestamp)`
`void` | `setNextMessageNumber(long nextMessageNumber)`
`void` | `setOfferedEndPoint(java.lang.String offeredEndPoint)`
`void` | `setOfferedEndPointEPR(org.apache.axis2.addressing.EndpointReference offeredEndPointEPR)`
`void` | `setOfferedSequence(java.lang.String offeredSequence)`
`void` | `setReallocated(int reallocated)`
`void` | `setReferenceMessageStoreKey(java.lang.String referenceMessageStoreKey)`
`void` | `setRmsFlags(int rmsFlags)`
`void` | `setSequenceClosedClient(boolean sequenceClosedClient)`
`void` | `setSoapVersion(int soapVersion)`
`void` | `setTerminateAdded(boolean terminateAdded)`
`void` | `setTerminationPauserForCS(boolean terminationPauserForCS)`
`void` | `setTimedOut(boolean timedOut)`
`void` | `setTransportTo(java.lang.String transportTo)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMSequenceBean
`getAcksToEndpointReference, getAcksToEPR, getFlags, getLastActivatedTime, getReplyToEndpointReference, getReplyToEPR, getRMVersion, getSecurityTokenData, getSequenceID, getServiceName, getToEndpointReference, getToEPR, isClosed, isPollingMode, isTerminated, setAcksToEndpointReference, setAcksToEPR, setClosed, setFlags, setLastActivatedTime, setPollingMode, setReplyToEndpointReference, setReplyToEPR, setRMVersion, setSecurityTokenData, setSequenceID, setServiceName, setTerminated, setToEndpointReference, setToEPR`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LAST_SEND_ERROR_TIME_FLAG

    public static final int LAST_SEND_ERROR_TIME_FLAG

See Also:
  Constant Field Values

### LAST_OUT_MSG_FLAG

    public static final int LAST_OUT_MSG_FLAG

See Also:
  Constant Field Values

### HIGHEST_OUT_MSG_FLAG

    public static final int HIGHEST_OUT_MSG_FLAG

See Also:
  Constant Field Values

### NEXT_MSG_NUM_FLAG

    public static final int NEXT_MSG_NUM_FLAG

See Also:
  Constant Field Values

### TERMINATE_ADDED_FLAG

    public static final int TERMINATE_ADDED_FLAG

See Also:
  Constant Field Values

### TIMED_OUT_FLAG

    public static final int TIMED_OUT_FLAG

See Also:
  Constant Field Values

### SEQ_CLOSED_CLIENT_FLAG

    public static final int SEQ_CLOSED_CLIENT_FLAG

See Also:
  Constant Field Values

### ACKED_MESSAGES_FLAG

    public static final int ACKED_MESSAGES_FLAG

See Also:
  Constant Field Values

### TERM_PAUSER_FOR_CS

    public static final int TERM_PAUSER_FOR_CS

See Also:
  Constant Field Values

### EXPECTED_REPLIES

    public static final int EXPECTED_REPLIES

See Also:
  Constant Field Values

### SOAP_VERSION_FLAG

    public static final int SOAP_VERSION_FLAG

See Also:
  Constant Field Values

### REALLOCATED

    public static final int REALLOCATED

See Also:
  Constant Field Values

Constructor Detail

### RMSBean

    public RMSBean()

### RMSBean

    public RMSBean(RMSBean beanToCopy)

  Constructor that copies all RMSBean values from the RMSBean supplied

  Parameters:
    `beanToCopy` -

Method Detail

### getCreateSeqMsgID

    public java.lang.String getCreateSeqMsgID()

### setCreateSeqMsgID

    public void setCreateSeqMsgID(java.lang.String createSeqMsgID)

### getInternalSequenceID

    public java.lang.String getInternalSequenceID()

### setInternalSequenceID

    public void setInternalSequenceID(java.lang.String internalSequenceID)

### getCreateSequenceMsgStoreKey

    public java.lang.String getCreateSequenceMsgStoreKey()

### setCreateSequenceMsgStoreKey

    public void setCreateSequenceMsgStoreKey(java.lang.String createSequenceMsgStoreKey)

### getReferenceMessageStoreKey

    public java.lang.String getReferenceMessageStoreKey()

### setReferenceMessageStoreKey

    public void setReferenceMessageStoreKey(java.lang.String referenceMessageStoreKey)

### getLastSendError

    public java.lang.Exception getLastSendError()

### setLastSendError

    public void setLastSendError(java.lang.Exception lastSendError)

### getLastSendErrorTimestamp

    public long getLastSendErrorTimestamp()

### setLastSendErrorTimestamp

    public void setLastSendErrorTimestamp(long lastSendErrorTimestamp)

### getLastOutMessage

    public long getLastOutMessage()

### setLastOutMessage

    public void setLastOutMessage(long lastOutMessage)

### getHighestOutMessageNumber

    public long getHighestOutMessageNumber()

### setHighestOutMessageNumber

    public void setHighestOutMessageNumber(long highestOutMessageNumber)

### getHighestOutRelatesTo

    public java.lang.String getHighestOutRelatesTo()

### setHighestOutRelatesTo

    public void setHighestOutRelatesTo(java.lang.String highestOutRelatesTo)

### getNextMessageNumber

    public long getNextMessageNumber()

### setNextMessageNumber

    public void setNextMessageNumber(long nextMessageNumber)

### getClientCompletedMessages

    public RangeString getClientCompletedMessages()

### setClientCompletedMessages

    public void setClientCompletedMessages(RangeString clientCompletedMessages)

### isTerminateAdded

    public boolean isTerminateAdded()

### setTerminateAdded

    public void setTerminateAdded(boolean terminateAdded)

### isTimedOut

    public boolean isTimedOut()

### setTimedOut

    public void setTimedOut(boolean timedOut)

### isSequenceClosedClient

    public boolean isSequenceClosedClient()

### setSequenceClosedClient

    public void setSequenceClosedClient(boolean sequenceClosedClient)

### getNumberOfMessagesAcked

    public long getNumberOfMessagesAcked()

### getTransportTo

    public java.lang.String getTransportTo()

### setTransportTo

    public void setTransportTo(java.lang.String transportTo)

### getOfferedEndPoint

    public java.lang.String getOfferedEndPoint()

### setOfferedEndPoint

    public void setOfferedEndPoint(java.lang.String offeredEndPoint)

### getOfferedSequence

    public java.lang.String getOfferedSequence()

### setOfferedSequence

    public void setOfferedSequence(java.lang.String offeredSequence)

### isTerminationPauserForCS

    public boolean isTerminationPauserForCS()

### setTerminationPauserForCS

    public void setTerminationPauserForCS(boolean terminationPauserForCS)

### getExpectedReplies

    public long getExpectedReplies()

### setExpectedReplies

    public void setExpectedReplies(long expectedReplies)

### getAnonymousUUID

    public java.lang.String getAnonymousUUID()

### setAnonymousUUID

    public void setAnonymousUUID(java.lang.String anonymousUUID)

### isAvoidAutoTermination

    public boolean isAvoidAutoTermination()

### setAvoidAutoTermination

    public void setAvoidAutoTermination(boolean avoidAutoTermination)

### getSoapVersion

    public int getSoapVersion()

### setSoapVersion

    public void setSoapVersion(int soapVersion)

### getRmsFlags

    public int getRmsFlags()

### setRmsFlags

    public void setRmsFlags(int rmsFlags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RMSequenceBean`

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Overrides:
    `match` in class `RMSequenceBean`

### isReallocated

    public int isReallocated()

### setReallocated

    public void setReallocated(int reallocated)

### getInternalSeqIDOfSeqUsedForReallocation

    public java.lang.String getInternalSeqIDOfSeqUsedForReallocation()

### setInternalSeqIDOfSeqUsedForReallocation

    public void setInternalSeqIDOfSeqUsedForReallocation(java.lang.String internalSeqIDOfSeqUsedForReallocation)

### getOfferedEndPointEPR

    public org.apache.axis2.addressing.EndpointReference getOfferedEndPointEPR()

### setOfferedEndPointEPR

    public void setOfferedEndPointEPR(org.apache.axis2.addressing.EndpointReference offeredEndPointEPR)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.